

### 2.1.7 (2024-01-24)

### 2.1.6 (2023-12-22)

* Chore: [ANDROID] Update "com.sfbx.appconsent:appconsent-ui-v3" from 5.1.2 to 5.1.3
* Chore: [ANDROID] Update internal Logger module
* Fix: [ANDROID] RuntimeException when several WebView instances in different processes are used.
  Added SDK startup check and full explanatory log in the event of a problem
  when integrating a third-party library that runs before the application and uses a WebView in a dedicated process.
* Fix: [ANDROID] Display size problem on tablet in Dialog mode
* Fix: [ANDROID] Significant reduction in SDK size

### 2.1.5 (2023-12-18)

* feat: updated iOS native dependency to 4.4.7

### 2.1.4 (2023-12-13)

* Chore: [ANDROID] Update "com.sfbx.appconsent:appconsent-ui-v3" from 5.1.1 to 5.1.2
* Fix: [ANDROID] A display problem occurred when the "Enable only consent as the legal basis for processing" field was activated. Legitimate interests were still displayed under certain conditions
* Fix: [ANDROID] Translation issues
* Improve: [ANDROID] Addition of new controls at SDK startup to prevent the SDK from initializing by default
* Improve: [ANDROID] logs

### 2.1.3 (2023-11-23)

* chore: Updated README to add examples and more detailed information
* chore: Updated example

### 2.1.2 (2023-11-20)

* fix: [ANDROID] Update some dependencies to avoid problems when transitive dependencies are downloaded.
* Update "com.sfbx.appconsent:appconsent-ui-v3" from 5.1.0 to 5.1.1

### 2.1.1 (2023-11-16)

* fix: [ANDROID] rollback of AndroidManifest's packagename attribute, as it causes an undefined name when we try to use the

### 2.1.0 (2023--11-15)

* feat: [ANDROID] added getExternalId method
* feat: [ANDROID] added saveExternalId method
* feat: [ANDROID] added setExternalId method
* feat: [ANDROID] updated native SDK dependency to 5.1.0

### 2.0.2 (2023-10-30)

* feat: added getExternalId

### 2.0.1 (2023-10-20)

* feat: updated iOS native dependency to 4.4.2
* feat: added saveExternalId and setExternalId

### 2.0.0 (2023-09-21)

* feat: Add Android TCF2.2

### 1.2.4 (2023-10-20)

* feat: updated iOS native dependency to 4.2.3

### 1.2.3 (2023-04-19)

* fix: Updated Android dependency to 2.0.16
* fix: resolution of the obfuscation carried by the android library
* fix: Improvement of network exchanges

### 1.2.2 (2023-04-11)

* fix: Updated Android dependency to 2.0.15
* fix: UI prevent user click outside CMP
* feat: updated iOS native dependency to 4.2.0

### 1.2.1 (2023-03-24)

* chore: update readme instructions

### 1.2.0 (2023-03-23)

* feat: updated iOS native dependency to 4.1.0

### 1.1.7 (2023-03-22)

* fix: removed dependency on expo
* fix: replaced a fatal error throw by an error log to prevent a crash when CMP can't attach to viewController
* fix: dependency on Android 2.0.12 instead of 2.0.11

### 1.1.6 (2023-02-23)

* Updated Android dependency to 2.0.12.

### 1.1.5 (2023-02-22)

* Updated Android dependency to 2.0.11.
* this one corrects a crash at the launching of the application after the validation of the consents

### 1.1.4 (2022-09-26)

* Updated iOS dependencies to AppConsentKit 1.4.2.
* Updated iOS dependencies to AppConsentUIKitV3 2.2.2.

### 1.1.3 (2022-08-25)

* Added TypeScript declarations to function headers.
* Added TSDoc comments to all API functions.

### 1.1.2 (2022-08-18)

* Updated Android dependencies to 2.0.10.

### 1.1.1 (2022-06-29)

* Added side-effects declaration to package.

### 1.1.0 (2022-06-28)

* Upgraded to react 18.0.0 and react-native 0.68.0.

### 1.0.2 (2022-06-27)

* Configured linter and linted code.

### 1.0.1 (2022-06-24)

* Excluded some unwanted files from package.
* Added changelog.

### 1.0.0 (2022-06-24)

* Updated iOS dependencies to AppConsentKit 1.4.1.
* Updated iOS dependencies to AppConsentUIKitV3 2.2.1.

### O.1.6 (2022-05-25)

* Updated iOS dependencies to AppConsentKit 1.4.0.
* Updated iOS dependencies to AppConsentUIKitV3 2.2.0.
* fix consentableAllowedByIABId returned the wrong consentableType on Android.

### 0.1.5 (2022-05-10)

* Updated iOS dependencies to AppConsentKit 1.3.11.
* Updated iOS dependencies to AppConsentUIKitV3 2.1.7.

### 0.1.4 (2022-03-29)

* Updated iOS dependencies to AppConsentKit 1.3.3.

### 0.1.3 (2022-03-29)

* Updated Android dependencies to 2.0.9-react.

### 0.1.2 (2022-03-29)

* Updated iOS dependencies to AppConsentKit 1.3.2.
* Updated iOS dependencies to AppConsentUIKitV3 2.1.4.

### 0.1.1 (2022-03-22)

* Updated iOS dependencies to AppConsentKit 1.3.1.
* Support Podfile without use_frameworks!.

### 0.1.0 (2022-03-03)

* first release.